*** a/src/backend/commands/analyze.c
--- b/src/backend/commands/analyze.c
***************
*** 648,659 **** do_analyze_rel(Relation onerel, VacuumStmt *vacstmt,
  		if (Log_autovacuum_min_duration == 0 ||
  			TimestampDifferenceExceeds(starttime, GetCurrentTimestamp(),
  									   Log_autovacuum_min_duration))
! 			ereport(LOG,
! 					(errmsg("automatic analyze of table \"%s.%s.%s\" system usage: %s",
! 							get_database_name(MyDatabaseId),
! 							get_namespace_name(RelationGetNamespace(onerel)),
! 							RelationGetRelationName(onerel),
! 							pg_rusage_show(&ru0))));
  	}
  
  	/* Roll back any GUC changes executed by index functions */
--- 648,669 ----
  		if (Log_autovacuum_min_duration == 0 ||
  			TimestampDifferenceExceeds(starttime, GetCurrentTimestamp(),
  									   Log_autovacuum_min_duration))
! 		{
! 			if (inh)
! 				ereport(LOG,
! 						(errmsg("automatic analyze of table inheritance tree \"%s.%s.%s\" system usage: %s",
! 								get_database_name(MyDatabaseId),
! 								get_namespace_name(RelationGetNamespace(onerel)),
! 								RelationGetRelationName(onerel),
! 								pg_rusage_show(&ru0))));
! 			else
! 				ereport(LOG,
! 						(errmsg("automatic analyze of table \"%s.%s.%s\" system usage: %s",
! 								get_database_name(MyDatabaseId),
! 								get_namespace_name(RelationGetNamespace(onerel)),
! 								RelationGetRelationName(onerel),
! 								pg_rusage_show(&ru0))));
! 		}
  	}
  
  	/* Roll back any GUC changes executed by index functions */
